<style type="text/css">
    .navbar.navbar-default {
        border: none;
    }
</style>
<title ng-if="category.isParent">{{category.maincategory}}</title>
<title ng-if="!category.isParent">{{category.subcategory}}</title>
<!-- PAGE SHELL -->
<div ng-if="!loaded" style="position:absolute;top:0;bottom:0;left: 0;width:100%;right: 0;margin-top:50px">
    <div style="min-height:50px;padding:18px">
        <div style="min-height:18px;background:#ddd;width:40%"></div>
    </div>
    <div style="min-height:225px;background:#999;box-shadow:4px 4px 10px -2px #aaa"></div>
    <div style="min-height:300px;background:#fff;padding:8px;box-shadow:4px 4px 10px -2px #aaa">
        <div style="min-height:18px;background:#ddd;margin:12px;width:30%"></div>
        <div style="min-height:35px;background:#ddd;margin:12px;width:85%"></div>
        <div style="min-height:35px;background:#ddd;margin:12px;width:45%"></div>
    </div>
</div>

<div ng-if="loaded&&category.lists.length>0" class="section_banner">

    <div class="alignCenter" style="height:100px;" >
        <!-- <dfp-ad  refresh='10s' ad-unit="/97172535/Spotboye_Mobile_HP_320x100_ATF">
            <dfp-size width="320" height="100"></dfp-size>
        </dfp-ad> -->
      
        <google-ads ng-init="_random()" id='ads_category_{{_r}}' type="HP_320x100_ATF"></google-ads>
    </div>

    <!-- MAIN CATEGORY -->
    <div ng-if="category.isParent && category.maincategory!='time-pass'">
        <div class="new_header" style="border-top-color:{{category.color}};">
            <div class="article_section">
                <span class="article_mainsection">
                    <b style="color:{{category.color}}" ng-init="category_title=(category.maincategory=='vod')?'Video':category.maincategory">{{category_title}}</b>
                </span>
            </div>
        </div>
        <div ng-repeat="section in category.lists">
            <div class="new_header" style="background-color:{{category.color}};" ng-if="section.type!='justin'&&section.data.length!=0">
                <div class="article_section">
                    <span class="article_mainsection">
                        <b style="color:#fff">{{section.sectionName}}</b>
                    </span>
                </div>
            </div>
            <div class="row section_banner" section-color="{{category.color}}" section-heading="{{section.sectionName}}" ng-if="section.type=='justin'&&section.data.length!=0"
                style="margin:0;">
                <articles content="section.data[0]"></articles>
                <slides type="thumbnail" content-type="article" ng-if="section.data.length" slides-data="section.data" skip="1"></slides>
            </div>
            <div class="row section_banner grey_back" section-color="{{category.color}}" section-heading="{{section.sectionName}}" ng-if="section.type=='video'"
                style="margin:0;">
                <!-- <slides type="fluid" content-type="videos" ng-if="section.data.length" slides-data="section.data"></slides> -->
                <articles ng-if="section.data.length" content="section.data" list-type="true"></articles>

            </div>
            <div class="row section_banner" section-color="{{category.color}}" section-heading="{{section.sectionName}}" ng-if="section.type=='article'&&section.data.length!=0"
                style="margin:0;">
                <articles ng-if="section.data.length" content="section.data" list-type="true"></articles>
            </div>
            <div class="row section_banner" section-color="{{category.color}}" section-heading="{{section.sectionName}}" ng-if="section.type=='photo'&&section.data.length!=0"
                style="margin:0;">
                <!-- <slides type="fluid" content-type="photos" ng-if="section.data.length" slides-data="section.data"></slides> -->
                <articles ng-if="section.data.length>0" content="section.data" list-type="true"></articles>

            </div>
            <div class="zinc-ad"></div>
          <div ng-if="section.data.length>0" class="ad_unit">
                <!-- <dfp-ad refresh='5s' class="matchedAdHeight" ng-if="$index==0" force-safe-frame ad-unit="/97172535/HP_RANDOMBANNER_300X250"> -->
                <!-- <dfp-ad refresh='10s' class="matchedAdHeight" ng-if="$index==0" force-safe-frame ad-unit="/97172535/Spotboye_Mobile_HP_300x250_Mid">
                    <dfp-size width="300" height="250"></dfp-size>
                </dfp-ad> -->
        <google-ads ng-init="_random()" ng-if="$index==0" id='ads_cat_mid_{{_r}}' type="HP_300x250_Mid"></google-ads>
                
                <!-- <dfp-ad refresh='5s' class="matchedAdHeight" ng-if="$index!=0" force-safe-frame ad-unit="/97172535/MOBILE_ARICLE_1_320X250"> -->
                    <!-- <dfp-ad refresh='10s' class="matchedAdHeight" ng-if="$index==1" force-safe-frame ad-unit="/97172535/Spotboye_Mobile_HP_300x250_BTF ">
                        <dfp-size width="300" height="250"></dfp-size>
                    </dfp-ad> -->
                    <google-ads ng-init="_random()" ng-if="$index==1" id='ads_cat_btf_{{_r}}' type="HP_300x250_BTF"></google-ads>
   
                    <!-- <dfp-ad refresh='10s' class="matchedAdHeight" ng-if="$index>1" force-safe-frame ad-unit="/97172535/Spotboye_Mobile_HP_300x250_BTF2 ">
                        <dfp-size width="300" height="250"></dfp-size>
                    </dfp-ad> -->
                    <google-ads ng-if="$index>1" id='ads_cat_btf2_{{$index}}' type="HP_300x250_BTF2"></google-ads>
         
          </div>
       
            <!-- <google-ads ng-if="$index==0" class="matchedAdHeight" ng-init="_random()" id='ads_maincategory_1_{{_r+1}}' type="Ad1_2_300X250"></google-ads> -->
            <!-- <google-ads ng-if="$index!=0" class="matchedAdHeight" ng-init="_random()" id='ads_maincategory_{{$index}}_{{_r+1}}' type="Ad1_1_BTF_300X250"></google-ads> -->
        </div>


    </div>
    <!-- TIMEPASS MAIN CATEGORY FOR POLL AND CONTEST -->
    <div ng-if="category.isParent && category.maincategory=='time-pass'">
            <articles content="category.lists"></articles>
        <!-- <poll content="category.lists" ng-if="category.lists.length"></poll> -->
    </div>

    <!-- SUB CATEGORY -->
    <div ng-if="!category.isParent&& category.maincategory!='time-pass'">
        <div class="new_header" style="border-top-color:{{category.maincategory.color}};">
            <div class="article_section">
                <span class="article_mainsection">
                    <b style="color:{{category.maincategory.color}}" ng-init="category_title=(category.maincategory=='vod')?'Video':category.maincategory">{{category_title}}</b>{{category.subcategory}}</span>
            </div>
        </div>

        <articles ng-if="category.lists.length" content="category.lists"></articles>
        <div class="text-center">
            <button ng-click="paginateMore()" class="btn btn-info btn-block btn-lg">VIEW MORE</button>
        </div>


    </div>
    <!-- TIMEPASS SUB CATEGORY FOR POLL AND CONTEST -->
    <div ng-if="!category.isParent && category.maincategory=='time-pass'">
            <articles content="category.lists"></articles>
        <!-- <poll content="category.lists" ng-if="category.lists.length"></poll> -->
    </div>
</div>

<div ng-init="_random()">
        <google-ads id="mcanvas_{{_r}}" type="mcanvas"></google-ads>
    </div>